
exports.seed = async function(knex, Promise) {
  // Deletes ALL existing entries
  await knex('announcements').del();
  await knex('announcements').insert([{
    id: 0,
    title: "Fissurer c'est bien",
    content: "Les nouveaux ordis du JTX sont arrivés ! Le BR aide à les installer ;)"
  },{
    id: 1,
    title: "Proj'et Promotion",
    content: "La nouvelle proj' du JTX arrive !"
  },{
    id: 2,
    title: "Fête de la Lune",
    content: "C'est bientôt la fête de la Lune ! Inscrivez-vous pour un dîner-spectacle dans le Grand Hall !"
  },{
    id: 3,
    title: "Formation Web",
    content: "Envie d'apprendre à faire un site Web en Django ? Alors viens en amphi Sauvy ce jeudi à 20h !"
  },{
    id: 4,
    title: "Journées FedeRez",
    content: "Cette année, nous parlerons de vie privée, protection des données et sécurité",
    authors: ['federez']
  }]);

  await knex('events').del()
  await knex('events').insert([
    {
      id : 42,
      title : "coder sigma",
      content : "Tous ensemble pour faire du Dev. Que demander de plus ? (a part du sommeil)",
      start_time : knex.fn.now(),
      end_time : knex.fn.now(),
      is_announcement : false
    }
  ]);

  await knex('private_posts').del();
  await knex('private_posts').insert([
    {
      id : 4,
      title : "Anatole met du temps à faire avancer resolver_dev",
      content : "C'est scandaleux qu'anatole mette autant de temps à corriger les bugs et merge sa branche. Comment on fait pour présenter le projet aux 17 ?",
      author_uid : "guillaume.wang",
      author_db : "ldap"
    },
    {
      id : 5,
      title : "Sushi tradi",
      content : "Le prochain sushi tradi aura lieux ce mardi. Tout le monde est invité.",
      author_uid : "martin.guillot",
      author_db : "ldap"
    },
  ]);

  await knex('group_message_relationships').del();

  await knex('group_message_relationships').insert([
    {
      message : 42,
      group : 'br',
      status : 'host'
    },
    {
      message : 42,
      group : 'kes',
      status : 'receive'
    }
    
  ]);

  await knex('group_message_relationships').insert([{
    message: 0,
    group: 'br',
    status: 'host'
  },
  {
    message: 0,
    group: 'jtx',
    status: 'host'
  },
  {
    message: 1,
    group: 'br',
    status: 'host'
  },
  {
    message: 2,
    group: 'xchine',
    status: 'host'
  },
  {
    message: 3,
    group: 'br',
    status: 'host'
  }]);
  
  await knex('group_message_relationships').insert([
    {
      message : 4,
      group : "br",
      status : "receive"
    },
    {
      message : 5,
      group : "faerix",
      status : "receive"
    }
  ]);

  return;
};
